#! /usr/bin/env python
# -*- coding: latin-1 -*-

from ReadRawFile import *

def main():

    headers, datasets = ReadRawFile('NSS.AMAX.NK.D10010.S0020.E0212.B6062324.GC.L1C',
                                    '../data/amsua_1c_header',  '../data/amsua_1c_record', False)
    print '-------------------------------------------------------------'
    print 'HEADERS: '
    print '======='
    for h in headers:
        print h, ': ', headers[h]

    print '-------------------------------------------------------------'
    print 'DATASETS: '
    print '========'
    for d in datasets:
        print d, ': ', datasets[d].shape, ', ', datasets[d].dtype

    print '-------------------------------------------------------------'
    dset = 'ama1c_latlon'
    print dset, ': '
    print datasets[dset]

if __name__ == '__main__':
    main()

